Bug 1266241 - Last 5% of fusor-installer feels like it takes almost as long as 0 - 95%
Last 5% of fusor-installer feels like it takes almost as long as 0 - 95%
Status: NEW
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: fusor-installer (Show other bugs)
1.0
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: John Matthews
Dave Johnson
: Triaged
Depends On: 1274725
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-24 16:53 EDT by Matt Reid
Modified: 2016-09-23 14:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1274725 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Reid 2015-09-24 16:53:56 EDT
Description of problem:
I don't have timings around this, but the last 5% or so of fusor-installer took much longer than I would have expected, given how long it took to get to 95%. Feels like it took almost as long to do the last 5% as it did to go from 0 - 95%. Is it all one task, or a number of things that are left to do at that point? 

Not sure where the % progress comes from, but it might help ease expectations if the last few things it did accounted for more of the overall progress, since they seem to take longer.

Version-Release number of selected component (if applicable):
Tech Preview

Additional info:
Comment 1 John Matthews 2015-10-13 14:21:57 EDT
Let's look into different task weights to give this a better feel.
Comment 2 Jason Montleon 2015-10-23 08:42:46 EDT
This probably goes back to katello-installer/foreman-installer behavior and I  it is not specific to fusor-installer. rake tasks like db:migrate, etc, are running at the end of the install and these are what is being waited on for so long.
Comment 3 Stephen Herr 2015-10-27 16:24:18 EDT
This Bug is dependant on an upstream foreman-kafo issue:
http://projects.theforeman.org/issues/12166

The kafo installer (which katello-installer adds on to, and fusor-installer adds on to that) calculates progress by simply calculating #-printed-puppet-lines / #-expected-puppet-lines. There is currently no mechanism to specify that one puppet line is much longer than others.
Comment 4 Jason Montleon 2016-05-23 10:15:06 EDT
We may have trimmed some time off of the seeding process as it appears it was unnecessarily running an extra rake db:seed and rake db:migrate which both take a fair amount of time. In combination with the foreman-installer changes coming hopefully we can get a taskbar that better represents progress as well.

Note You need to log in before you can comment on or make changes to this bug.